Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class TransientState

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.JDOState
            |
            +--com.solarmetric.kodo.runtime.TransientState

class TransientState
extends JDOState

JDO lifecycle state.

Represents a transient instance; this state lasts only through the `initialize(com.solarmetric.kodo.runtime.StateManagerImpl)` method, which immediately removes the PersistenceCapable instance from management by the JDO runtime.

Fields inherited from class com.solarmetric.kodo.runtime.JDOState
`HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWDELETEDFLUSHED, PNEWFLUSHED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNONTRANS, TCLEAN, TDIRTY, TRANSIENT`

Constructor Summary
`(package private)` | `TransientState()`

Method Summary
`(package private) void` | `initialize(StateManagerImpl context)` Called when this state is first assigned to the given state manager.

Methods inherited from class com.solarmetric.kodo.runtime.JDOState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeCommit, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, beforeOptimisticRead, beforeOptimisticWrite, beforeRead, beforeWrite, commit, commitRetain, deletePersistent, error, evict, flush, isDeleted, isDirty, isFlushed, isNew, isPersistent, isTransactional, makeNontransactional, makePersistent, makeTransactional, makeTransient, rollback, rollbackRetain`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientState

    TransientState()

Method Detail

### initialize

    void initialize(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called when this state is first assigned to the given state manager.
  Overrides:
    `initialize` in class `JDOState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.